#ifndef __SETTINGS_H__
#define __SETTINGS_H__

#include <cstdint>
#include <string>

namespace Older {
class Settings {
public:
    Settings();
    void save();
    void load();

    uint32_t threads() const;
    std::string server() const;
    uint16_t port() const;
    std::string documentRoot() const;
    std::string live2dModelsRoot() const;
    std::string sqlitePath() const;

private:
    uint32_t m_threads = 1;
    std::string m_server = "127.0.0.1";
    uint16_t m_port = 8081;

    std::string m_documentRoot;
    std::string m_live2dModelsRoot = "resources/live2d";
    std::string m_sqlitePath = "database.sqlite";
};
} // namespace Older

#endif // __SETTINGS_H__